> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk creation of new vault accounts

> Create multiple vault accounts by running an async job.      
- The HBAR, TON, SUI, TERRA, ALGO, and DOT blockchains are not supported.
- These endpoints are currently in beta and might be subject to changes.
- Limited to a maximum of 10,000 accounts per operation.

**Endpoint Permissions:** Admin, Non-Signing Admin, Signer, Approver, Editor.




## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml post /vault/accounts/bulk
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /vault/accounts/bulk:
    post:
      tags:
        - Vaults
      summary: Bulk creation of new vault accounts
      description: >
        Create multiple vault accounts by running an async job.      

        - The HBAR, TON, SUI, TERRA, ALGO, and DOT blockchains are not
        supported.

        - These endpoints are currently in beta and might be subject to changes.

        - Limited to a maximum of 10,000 accounts per operation.


        **Endpoint Permissions:** Admin, Non-Signing Admin, Signer, Approver,
        Editor.
      operationId: createMultipleAccounts
      parameters:
        - $ref: '#/components/parameters/X-Idempotency-Key'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateMultipleAccountsRequest'
      responses:
        '200':
          description: A JobCreated object
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobCreated'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<JobCreated>> =
            fireblocks.vaults.createMultipleAccounts(vaultsApiCreateMultipleAccountsRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<JobCreated>> response =
            fireblocks.vaults().createMultipleAccounts(createMultipleAccountsRequest,
            idempotencyKey);
        - lang: Python
          source: >-
            response =
            fireblocks.vaults.create_multiple_accounts(create_multiple_accounts_request,
            idempotency_key);
components:
  parameters:
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  schemas:
    CreateMultipleAccountsRequest:
      type: object
      properties:
        count:
          description: Count
          type: integer
          example: 1000
        baseAssetIds:
          description: Array of base asset IDs
          type: array
          items:
            type: string
          example:
            - BTC
            - ETH
            - SOL
        names:
          description: >-
            Names to assign to vault accounts. if vaultAccountNamesStartingIndex
            or prefix is used it'll fail
          type: array
          items:
            type: string
          example:
            - first va
            - client 65502e71-ecdf-48da-a074-c1753befc7fb
        vaultAccountNamesStartingIndex:
          description: >-
            Copy vault accounts names starting from this index. If names array
            is used it'll fail
          type: integer
          example: 0
        prefix:
          description: >-
            When copying from existing vault accounts
            (vaultAccountNamesStartingIndex) then adding a prefix to the names.
            If names array is used it'll fail
          type: string
          example: 'Copied from: '
        tagIds:
          description: Optional list of tag IDs to attach to all created vault accounts
          type: array
          items:
            type: string
            format: uuid
          maxItems: 20
          example:
            - a1b2c3d4-e5f6-7890-abcd-ef1234567890
            - b2c3d4e5-f6a7-8901-bcde-f12345678901
      required:
        - baseAssetIds
        - count
    JobCreated:
      type: object
      properties:
        jobId:
          type: string
        approvalRequestId:
          description: Approval request ID. Returned when a tag triggers an approval flow.
          type: string
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````